package ru.yandex.wmconsole.data.bad.urls.impl;

import ru.yandex.wmconsole.data.bad.urls.DbActionEnum;
import ru.yandex.wmconsole.data.bad.urls.DbTask;
import ru.yandex.wmconsole.util.file.comparator.impl.UrlRecord;

/**
 * User: azakharov
 * Date: 15.08.13
 * Time: 11:09
 */
public final class EndOfFileDbTask implements DbTask {
    private static final EndOfFileDbTask instance = new EndOfFileDbTask();

    private EndOfFileDbTask() {
        // use getInstance
    }

    @Override
    public UrlRecord getNewUrlRecord() {
        throw new UnsupportedOperationException("Attempt to obtain newUrlRecord from endOfFileTask");
    }

    @Override
    public UrlRecord getOldUrlRecord() {
        throw new UnsupportedOperationException("Attempt to obtain oldUrlRecord from endOfFileTask");
    }

    @Override
    public DbActionEnum getAction() {
        throw new UnsupportedOperationException("Attempt to obtain action from endOfFileTask");
    }

    public static EndOfFileDbTask getInstance() {
        return instance;
    }
}
